---
title: Auto-alojamiento
template: docs
taxonomy:
    category: docs
routes:
  default: '/selfhosting'
---

El auto-alojamiento se refiere a la acción de administrar tu propio servidor, normalmente en tu hogar, para alojar tú mism@ tus datos y servicios personales, en lugar de depender de terceros.

Auto-alojar implica ser propietario de un servidor. Un servidor es un ordenador que suele estar accesible en la red las 24 horas del día y que normalmente no tiene ni pantalla ni teclado, ya que se controla a distancia. Contrariamente a la creencia popular, un servidor no es necesariamente una máquina enorme y que requiera de mucha potencia: en la actualidad, una pequeña placa ARM de unos 30 dólares es suficiente para el auto-alojamiento.

El auto-alojamiento no consiste en hacer que "tu internet" sea más segura, ya que no proporciona anonimato por sí misma. Se trata más bien de ser autónom@ y tener el control de tus servicios y datos, lo que a su vez significa ser responsable con estos.

## ¿Por qué deberías auto-alojarte?

- **Si crees en una internet libre, abierta y descentralizada.** En la internet centralizada, las corporaciones y gobiernos pueden espiar, analizar e influir en las personas, dictando como se conectan entre sí y filtrando/censurando contenidos. YunoHost ha sido desarrollado por una comunidad que cree en una Internet abierta y descentralizada, y esperamos que tú también lo hagas.

- **Si quieres tener control de tu información y los servicios que utilizas.** Tus fotos, mensajes de chat, historial de navegación (y ese texto que estás escribiendo para la escuela) no tienen nada que hacer en el servidor (ordenador) de otra persona (también conocido como "La nube"). Son parte de tu vida privada, pero también de la vida de tu familia, de tus amig@s,etc. Estos tados deberían ser gestionados por *ti mism@*, no por una empresa aleatoria de EEUU que quiere tus datos para analizarlos y vender los resultados.

- **Si quieres aprender cómo funcionan los computadores y la internet.** Operar tu propio servidor es un ejercicio muy enriquecedor para entender los mecanismos básicos en el corazón de los sistemas operativos e internet. Es posible que tengas que lidiar con la interfaz de la línea de comandos (terminal), la arquitectura de la red, la configuración de DNS, SSH, etc.

- **Si quieres explorar nuevas posibilidades y configurar cosas.** ¿Alguna vez has soñado con ejecutar un servidor de Minecraft para tus amig@s, o un cliente IRC o XMPP persistente? Con tu propio servidor, puedes instalar y ejecutar manualmente prácticamente cualquier programa que quieras y personalizarlo todo.

## ¿Por qué no deberías auto-alojarte?

- **Auto-alojarse requiere de trabajo y paciencia.** Auto-alojarte es algo parecido a cultivar tu propio jardín o huerto: requiere trabajo y paciencia. Mientras que YunoHost pretende hacer todo el trabajo duro por ti, el auto-alojamiento todavía requiere que te tomes el tiempo para aprender y configurar algunas cosas para administrar tu servidor adecuadamente. También necesitarás realizar tareas de mantenimiento (como actualizaciones) de vez en cuando, o pedir soporte si algunas cosas se rompen.

- **Un gran servidor conlleva una gran responsabilidad.** Operar un servidor significa que eres responsable de los datos que alojas. Ndie podrá recuperarlos por ti si se pierden. YunoHost proporciona funciones de copia de seguridad, que deberías utilizar regularmente para hacer copias de seguridad de las configuraciones y los datos que te importan. También deberías estar atent@ a las noticias y recomendaciones de seguridad, para que tu servidor o tus datos criticos no se vean comprometidos.

- **La calidad y el rendimiento probablemente no serán tan buenos como los servicios "premium".** YunoHost (y la mayoría de las aplicaciones que puedes instalar a través de este) están basadas en software libre y código abierto, desarrollado por comunidades de personas de manera voluntaria y sobre la base del mejor esfuerzo. No hay garantía absoluta de que el software funcione en todas las circunstancias posibles. El rendimiento de su servidor autoalojado también está relacionado con su CPU y RAM, y con la disponibilidad de la conexión a internet.
